SABERParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.saber

## Class SABERParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.saber.SABERParameters

- All Implemented Interfaces:
    CipherParameters, KEMParameters

      public class SABERParameters
      extends java.lang.Object
      implements KEMParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SABERParameters` | `firesaberkem128r3`
    `static SABERParameters` | `firesaberkem192r3`
    `static SABERParameters` | `firesaberkem256r3`
    `static SABERParameters` | `firesaberkem90sr3`
    `static SABERParameters` | `lightsaberkem128r3`
    `static SABERParameters` | `lightsaberkem192r3`
    `static SABERParameters` | `lightsaberkem256r3`
    `static SABERParameters` | `lightsaberkem90sr3`
    `static SABERParameters` | `saberkem128r3`
    `static SABERParameters` | `saberkem192r3`
    `static SABERParameters` | `saberkem256r3`
    `static SABERParameters` | `saberkem90sr3`
    `static SABERParameters` | `ufiresaberkem90sr3`
    `static SABERParameters` | `ufiresaberkemr3`
    `static SABERParameters` | `ulightsaberkem90sr3`
    `static SABERParameters` | `ulightsaberkemr3`
    `static SABERParameters` | `usaberkem90sr3`
    `static SABERParameters` | `usaberkemr3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SABERParameters(java.lang.String name, int l, int defaultKeySize, boolean usingAes, boolean usingEffectiveMasking)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.pqc.crypto.saber.SABEREngine` | `getEngine()`
    `int` | `getL()`
    `java.lang.String` | `getName()`
    `int` | `getSessionKeySize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lightsaberkem128r3

          public static final SABERParameters lightsaberkem128r3

    - #### saberkem128r3

          public static final SABERParameters saberkem128r3

    - #### firesaberkem128r3

          public static final SABERParameters firesaberkem128r3

    - #### lightsaberkem192r3

          public static final SABERParameters lightsaberkem192r3

    - #### saberkem192r3

          public static final SABERParameters saberkem192r3

    - #### firesaberkem192r3

          public static final SABERParameters firesaberkem192r3

    - #### lightsaberkem256r3

          public static final SABERParameters lightsaberkem256r3

    - #### saberkem256r3

          public static final SABERParameters saberkem256r3

    - #### firesaberkem256r3

          public static final SABERParameters firesaberkem256r3

    - #### lightsaberkem90sr3

          public static final SABERParameters lightsaberkem90sr3

    - #### saberkem90sr3

          public static final SABERParameters saberkem90sr3

    - #### firesaberkem90sr3

          public static final SABERParameters firesaberkem90sr3

    - #### ulightsaberkemr3

          public static final SABERParameters ulightsaberkemr3

    - #### usaberkemr3

          public static final SABERParameters usaberkemr3

    - #### ufiresaberkemr3

          public static final SABERParameters ufiresaberkemr3

    - #### ulightsaberkem90sr3

          public static final SABERParameters ulightsaberkem90sr3

    - #### usaberkem90sr3

          public static final SABERParameters usaberkem90sr3

    - #### ufiresaberkem90sr3

          public static final SABERParameters ufiresaberkem90sr3

  - ### Constructor Detail

    - #### SABERParameters

          public SABERParameters(java.lang.String name,
                                 int l,
                                 int defaultKeySize,
                                 boolean usingAes,
                                 boolean usingEffectiveMasking)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getL

          public int getL()

    - #### getSessionKeySize

          public int getSessionKeySize()

    - #### getEngine

          public org.bouncycastle.pqc.crypto.saber.SABEREngine getEngine()